%global forgeurl https://github.com/arx/ArxLibertatis/
%global commit 5b95e4c5ca9d583f1b11c085326979772645e0f3
%forgemeta

Name:          arx-libertatis
Version:       1.3^20240822git5b95e4
Release:       1
Summary:       Cross-platform, open source port of the Arx Fatalis RPG

# Main source - GPLv3+
# data/core/misc/dejavusansmono.ttf - Bitstream Vera
# data/core/misc/icons.ttf - OFL
# src/util/HandleType.h - BSL-1.0
# src/util/cmdline - BSL-1.0
# tools/crashreporter/qhexedit - LGPLv2+, but not used
# src/math/GtxFunctions.h - MIT
# src/util/MD5.cpp - Public Domain
# cmake/SDL-2.0.9/SDL_syswm.h - zlib

License:       GPLv3+ and Bitstream Vera and OFL and BSL-1.0 and MIT and zlib
URL:           %{forgeurl}
Source:        %{forgesource}

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: ninja-build
BuildRequires: zlib-devel
BuildRequires: boost-devel
BuildRequires: glm-devel
BuildRequires: freetype-devel
BuildRequires: openal-soft-devel
BuildRequires: SDL2-devel
BuildRequires: libepoxy-devel
BuildRequires: desktop-file-utils
# generate raster images
BuildRequires: optipng
BuildRequires: ImageMagick
BuildRequires: inkscape
# arxcrashreporter
BuildRequires: libcurl-devel
BuildRequires: qt5-qtbase-devel

Requires: hicolor-icon-theme

Provides: bundled(dejavu-fonts) = 0
Provides: bundled(google-noto-fonts) = 0

%description
Cross-platform port of Arx Fatalis, a first-person role-playing game

Arx Libertatis is based on the publicly released Arx Fatalis source code.

%package devel
Summary: Header files and libraries for Arx Libertatis development
Requires: %{name}%{_isa} = %{version}-%{release}

%description devel
The arx-libertatis-devel package contains header files and libraries needed
to develop programs that use Arx Libertatis.

%prep
%setup -q -n ArxLibertatis-%{commit}

%build
%cmake
%make_build -C redhat-linux-build -j`getconf _NPROCESSORS_ONLN`

%install
%make_install -C redhat-linux-build

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/arx-libertatis.desktop

%files
%doc AUTHORS CHANGELOG CONTRIBUTING.md README.md
%license COPYING LICENSE LICENSE.DejaVu
%{_bindir}/arx
%{_bindir}/arx-install-data
%{_bindir}/arxsavetool
%{_bindir}/arxunpak
%{_libdir}/libArxIO.so.*
%{_libexecdir}/arxtool
%{_libexecdir}/arxcrashreporter
%{_datadir}/applications/arx-libertatis.desktop
%{_datadir}/games/arx/
%{_datadir}/icons/hicolor/*/apps/arx-libertatis.png
%{_mandir}/man1/arx-install-data.1.gz
%{_mandir}/man1/arxsavetool.1.gz
%{_mandir}/man1/arxunpak.1.gz
%{_mandir}/man6/arx.6.gz

%files devel
%{_libdir}/libArxIO.so
%{_includedir}/ArxIO.h
%dir %{_datadir}/blender
%dir %{_datadir}/blender/scripts
%dir %{_datadir}/blender/scripts/addons
%{_datadir}/blender/scripts/addons/arx
%exclude %{_datadir}/blender/scripts/addons/arx/.gitignore

%changelog
* Mon Sep 09 2024 Martin Hoyer <mhoyer@redhat.com> - 1.3^20240822git5b95e4-1
- Refactoring .spec to use latest git master snapshot

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 13 2022 Jonathan Schleifer <js@nil.im> - 1.2.1-1
- Initial package
